Summary:   a tool to create a slide presentation from a LaTeX source
Name:      latex2slides 
Version:   0.8.1 
Release:   1
Copyright: GPL
Group:     Applications/Publishing
Source:    http://prdownloads.sourceforge.net/latex2slides/latex2slides-%{version}.tgz
URL:       http://udel.edu/~lmilano/latex2slides/
Buildroot: %{_tmppath}/%{name}-buildroot
Packager:  Leo Milano <lmilano@udel.edu>
Requires:  python >= 1.5.2, tcl >= 8.0, tk >= 8.0, ImageMagick >= 4.2.9, ghostscript >= 5.5

%description
latex2slides is a simple graphical program that produces a set of 
HTML/JPEG slides from a LaTeX (or TeX) source FILE. The program first 
produces a multipage postscript, using latex  (or tex ) and dvips. 
Each postscript page is converted to a JPEG image using ImageMagick's 
convert. The program then makes one HTML page for each JPEG (or slide), 
and an index.html page. As a result, each slide in your slide presentation 
corresponds to one of the postscript pages you would obtain running 
latex on the LaTeX source. Alternatively, the source can be a multipage
postscript, DVI or PDF FILE, and the image format for the slides can be 
set to PNG.  

%prep
%setup -q 

%build
echo Nothing to build 

%install
rm -rf $RPM_BUILD_ROOT
./install --prefix $RPM_BUILD_ROOT
./install --query-no-prefix > files.txt
# this last line gets the names of the installed files (without the prefix)

%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -rf $RPM_BUILD_ROOT

# %dir /usr/share/doc/latex2slides-%{version}
%files -f files.txt
%defattr(-,root,root)
%doc README TODO BUGS COPYING CHANGES
%docdir /usr/share/latex2slides/latex2slides-%{version}/doc
%dir /usr/share/latex2slides/latex2slides-%{version}/doc
%dir /usr/share/latex2slides/latex2slides-%{version}/icons
%dir /usr/share/latex2slides/latex2slides-%{version}/samples
%dir /usr/share/latex2slides/latex2slides-%{version}
%dir /usr/share/latex2slides/

%changelog
* Thu Jan 2 2002 Leonardo J Milano <lmilano@udel.edu> 
- original package for version 0.8.1
